Subject: Ticket Assigned - Order #9517067685 Order #9517876051
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Mon, 03 Jan 2022 09:36:27 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order #9517067685 Order #9517876051 Good evening
Can i know What happened regarding refund
For 2 orders

Order #9517067685
Order #9517876051

I gave all returned items to driver on 14 December . Along with homebox order  #9517553794. And I received refund of homebox but what about centerpoint !!!!!
I returned:

3 items from
Order #9517876051

2 items from
Order #9517067685

This is the 5th time im contacting you and no one is doing anything about it .

Next really i will raise this issue to Abu Dhabi customer service support because i cant wait more than month until my money will be refunded

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3675504